Mailinglist Archive: opensuse-security-announce (49 mails)

< Previous Next >
[security-announce] openSUSE-SU-2020:0459-1: important: Security update for icu
openSUSE Security Update: Security update for icu
______________________________________________________________________________

Announcement ID: openSUSE-SU-2020:0459-1
Rating: important
References: #1166844
Cross-References: CVE-2020-10531
Affected Products:
openSUSE Leap 15.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for icu fixes the following issues:

- CVE-2020-10531: Fixed a potential integer overflow in
UnicodeString:doAppend (bsc#1166844).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2020-459=1



Package List:

- openSUSE Leap 15.1 (i586 x86_64):

icu-60.2-lp151.3.11.1
icu-debuginfo-60.2-lp151.3.11.1
icu-debugsource-60.2-lp151.3.11.1
libicu-devel-60.2-lp151.3.11.1
libicu-doc-60.2-lp151.3.11.1
libicu60_2-60.2-lp151.3.11.1
libicu60_2-debuginfo-60.2-lp151.3.11.1

- openSUSE Leap 15.1 (noarch):

libicu60_2-bedata-60.2-lp151.3.11.1
libicu60_2-ledata-60.2-lp151.3.11.1

- openSUSE Leap 15.1 (x86_64):

libicu-devel-32bit-60.2-lp151.3.11.1
libicu60_2-32bit-60.2-lp151.3.11.1
libicu60_2-32bit-debuginfo-60.2-lp151.3.11.1


References:

https://www.suse.com/security/cve/CVE-2020-10531.html
https://bugzilla.suse.com/1166844

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages